using System;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.IO;
using System.Web;

/// <summary>
/// Summary description for CustomerDataObject
/// </summary>
[DataObject(true)]
public class CustomerOrdersDataObject
{
    /// <summary>
    /// 
    /// </summary>
    private DataSet _customersOrders;

    /// <summary>
    /// 
    /// </summary>
    public CustomerOrdersDataObject()
	{
        this._customersOrders = HttpContext.Current.Session["CustomerOrders"] as DataSet;

        if (this._customersOrders == null)
        {
            this._customersOrders = new DataSet();
            this._customersOrders.ReadXml(HttpContext.Current.Server.MapPath(@"App_Data\CustomerOrders.xml"));

            HttpContext.Current.Session["CustomerOrders"] = this._customersOrders;
        }
	}

    /// <summary>
    /// 
    /// </summary>
    private DataTable CustomerOrdersTable
    {
        get { return this._customersOrders.Tables["table"]; }
    }

    /// <summary>
    /// 
    /// </summary>
    /// <returns></returns>
    [DataObjectMethod(DataObjectMethodType.Select)]
    public DataView Select()
    {
        this.CustomerOrdersTable.DefaultView.Sort = "OrderID";
        return this.CustomerOrdersTable.DefaultView;
    }
}
